Rock
Vertical OrangeRazorblade Smile
UK 1992 (Chocolate Narcotic choc 002)Винил. Пластинка; 7"
SinatraSinatra
Italy 1997 (Rumble Fish Corporation RFC 007)Винил. Пластинка; 7"; 33 ⅓ RPM; EP
DepressedelicaElvis Depressedly
US 2020 (Run For Cover Records (2) RFC196)Винил. Пластинка; LP; Альбом
Electronic, Rock
A Split ExperienceInfidel?/Castro!, Friendly Bears
US 2003 (Epicene Sound Systems ESS002)Винил. Пластинка; 12"; Лимитированное издание; 45 RPM
EggnogMelvins
US 2022 (Boner Records BR28-1)Винил. Пластинка; 12"; 33 ⅓ RPM; EP
Missionary / No Way JoseDes Man DeAblo
UK 1996 (Simba Recordings simba 003)Винил. Пластинка; Сингл; 7"
Burn / EpilogueJolt
US 1993 (Shredder Shred 24)Винил. Пластинка; 7"; 45 RPM
Grad LifeGraduating Life
US 2019 (Pure Noise Records PNE232)Винил. Пластинка; LP; Альбом; Лимитированное издание
Gushing InterestTimelost
UK 2021 (Church Road Records CRR053V)Винил. Пластинка; 12"; 45 RPM; Лимитированное издание
One Man ArmyOur Lady Peace
Canada 1999 (Epic 668866 7)Винил. Пластинка; 7"; Сингл; Numbered
Picking A Man Off The GroundSoeza
Germany 1999 (X-Mist Records XM-059)Винил. Пластинка; 7"; 33 ⅓ RPM; 45 RPM
Pop, Rock
Bad Dream JaguarSun June
US 2023 (Run For Cover Records (2) RFC-265)Винил. Пластинка; 12"; 33 ⅓ RPM; Альбом
StumpvisionThe Cannanes
US 1992 (Ajax Records (2) AJAX 023)Винил. Пластинка; 7"; 33 ⅓ RPM; EP
Shadow Of The SunMoon Duo
US 2022 (Sacred Bones Records SBR-122)Винил. Пластинка; LP; Альбом; Лимитированное издание
DrainedTimelost
UK 2024 (Church Road Records CRR213V)Винил. Пластинка; LP; Альбом
ease.Wolvon
Netherlands 2017 (Subroutine Records SR076)Винил. Пластинка; LP; Альбом
State Of The Union - DC Benefit Compilation
US 2025 (Dischord Records DIS32)Винил. Пластинка; Сборник; LP; Переиздание
Wooderson & Ox ScapulaOx Scapula, Wooderson
2009 (We Like Danger! WLD009)Винил. Пластинка; 7"
Charnel House / Teeth And TongueThe Good Wife
UK 2010 (SuperFi Records SF 047)Винил. Пластинка; 45 RPM; 7"; Сингл
Home In Another LifeEnumclaw
Europe 2024 (Run For Cover Records (2) RFC276LP-C5)Винил. Пластинка; LP; Альбом
I/IIWalleater
US 2015 (Tiny Engines TE143)Винил. Пластинка; 12"
Down On EarthTurnover
US 2026 (none)Винил. Пластинка; LP; Альбом; Лимитированное издание
Harpoon / ClintSomething For Kate, Jebediah
Australia 1998 (Murmur MATTV074)Винил. Пластинка; 7"; 45 RPM; Сингл
Those Who NoCivic
US 2018 (Famous Class FC051)Винил. Пластинка; 7"; 33 ⅓ RPM; EP
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.